Loading...
Searching...
No Matches
Subset.h File Reference
`#include <RDGeneral/export.h>`
`#include <boost/dynamic_bitset.hpp>`
`#include <memory>`
`#include <vector>`

Go to the source code of this file.

## Classes

struct | RDKit::SubsetOptions
| Subsetting Options for copyMolSubset. More...
struct | RDKit::SubsetInfo

## Namespaces

namespace | RDKit
| Std stuff.

## Enumerations

enum class | RDKit::SubsetMethod { RDKit::BONDS_BETWEEN_ATOMS , RDKit::BONDS = 1 }
| Subsetting Methods for copyMolSubset. More...

## Functions

RDKIT_GRAPHMOL_EXPORT std::unique_ptr< RDKit::RWMol > | RDKit::copyMolSubset (const RDKit::ROMol &mol, const std::vector< unsigned int > &atoms, const std::vector< unsigned int > &bonds, const SubsetOptions &options=SubsetOptions())
RDKIT_GRAPHMOL_EXPORT std::unique_ptr< RDKit::RWMol > | RDKit::copyMolSubset (const RDKit::ROMol &mol, const std::vector< unsigned int > &atoms, const std::vector< unsigned int > &bonds, SubsetInfo &subsetInfo, const SubsetOptions &options=SubsetOptions())
RDKIT_GRAPHMOL_EXPORT std::unique_ptr< RDKit::RWMol > | RDKit::copyMolSubset (const RDKit::ROMol &mol, const std::vector< unsigned int > &path, const SubsetOptions &options=SubsetOptions())
RDKIT_GRAPHMOL_EXPORT std::unique_ptr< RDKit::RWMol > | RDKit::copyMolSubset (const RDKit::ROMol &mol, const std::vector< unsigned int > &path, SubsetInfo &subsetInfo, const SubsetOptions &options=SubsetOptions())